classification
Title: Write HTTP in uppercase
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Sudheer Satyanarayana, aatishnn, anish.shah, docs@python, martin.panter, nharold, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2016-03-14 06:23 by Sudheer Satyanarayana, last changed 2016-05-28 03:12 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
issue26553.patch anish.shah, 2016-03-14 14:42 review
issue26553-python3.patch anish.shah, 2016-03-14 14:42 review
fix_2.7.patch aatishnn, 2016-03-18 06:19 Patch for 2.7 review
fix_3.5.patch aatishnn, 2016-03-18 06:20 Patch for 3.5 review
fix_3.6.patch aatishnn, 2016-03-18 06:20 Patch for 3.6 review
2_fix_2.7.patch aatishnn, 2016-03-18 14:02 review
2_fix_3.5.patch aatishnn, 2016-03-18 14:02 review
2_fix_3.6.patch aatishnn, 2016-03-18 14:02 review
3_fix_3.6.patch nharold, 2016-05-26 20:58 review
3_fix_3.5.patch nharold, 2016-05-26 20:58 review
3_fix_2.7.patch nharold, 2016-05-26 20:59 review
Messages (14)
msg261726 - (view) Author: Sudheer Satyanarayana (Sudheer Satyanarayana) Date: 2016-03-14 06:23
"The Requests package is recommended for a higher-level http client interface."
Change 'http' to uppercase.
https://docs.python.org/2/library/httplib.html
https://docs.python.org/2/library/urllib.html
https://docs.python.org/3/library/http.client.html
msg261730 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-14 07:49
Could you provide a patch Sudheer?
msg261756 - (view) Author: Anish Shah (anish.shah) * Date: 2016-03-14 14:42
Patch for urllib and httplib in Python 2
msg261757 - (view) Author: Anish Shah (anish.shah) * Date: 2016-03-14 14:42
Patch for http.client in Python3
msg261759 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-14 15:06
There are occurrences of "http" in lower case in docstrings and comments. The same for https and ftp (and may be other abbreviations).
msg261947 - (view) Author: Aatish Neupane (aatishnn) * Date: 2016-03-18 06:21
I have attached the patches fixing numerous case errors.
msg261964 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-03-18 10:48
The three fix_x.y patches look good to me. I pointed out one more fix on the review. I think there are plenty more similar changes that could be made if somebody wanted to.
msg261969 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-18 11:42
Similar changes could be made in docstrings and comments. But changing error messages can be not safe and could be made only in 3.6.
msg261972 - (view) Author: Aatish Neupane (aatishnn) * Date: 2016-03-18 14:05
I found some other similar errors with the suggestion from the patch review. I have uploaded the new patches as 2_fix* .
msg261990 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-03-18 19:44
Aatish, please sign the CLA 
https://www.python.org/psf/contrib/
https://www.python.org/psf/contrib/contrib-form/
msg262017 - (view) Author: Aatish Neupane (aatishnn) * Date: 2016-03-19 02:37
I already did that.
msg266455 - (view) Author: Nathan Harold (nharold) * Date: 2016-05-26 20:58
The 2_fix* patches were unfortunately slightly broken because an unrelated revision to xmlrpc.client.rst changed one of the lines the patch files were using as an anchor (by adding a period to the end).

I've uploaded the 3_fix* series, which addresses this.  The actual changes in these patches are identical to those in their precursors: capitalization of HTTP, HTTPS, FTP, and URL in a few places.
msg266528 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-28 02:35
New changeset 4275181c4229 by Martin Panter in branch '3.5':
Issue #26553: Capitalization of HTTP, HTTPS, FTP, and URL
https://hg.python.org/cpython/rev/4275181c4229

New changeset 8c92ebcca83f by Martin Panter in branch 'default':
Issue #26553: Merge capitalization from 3.5
https://hg.python.org/cpython/rev/8c92ebcca83f

New changeset d914d681b7f3 by Martin Panter in branch '2.7':
Issue #26553: Capitalization of HTTP, HTTPS, FTP, and URL
https://hg.python.org/cpython/rev/d914d681b7f3
msg266529 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-28 03:12
Thankyou Nathan, and also Anish & Aatish.

For the record, it is normally enough to do a patch against the latest (3.6), and any minor conflicts can be sorted out when applying it to 3.5. In this case the 3.5 and 3.6 patches were basically the same. But the separate patch for 2.7 was very helpful, because there are so many differences between 2 and 3.
History
Date User Action Args
2016-05-28 03:12:39martin.pantersetstatus: open -> closed
resolution: fixed
messages: + msg266529

stage: patch review -> resolved
2016-05-28 02:35:38python-devsetnosy: + python-dev
messages: + msg266528
2016-05-26 20:59:30nharoldsetfiles: + 3_fix_2.7.patch
2016-05-26 20:58:48nharoldsetfiles: + 3_fix_3.5.patch
2016-05-26 20:58:22nharoldsetfiles: + 3_fix_3.6.patch
nosy: + nharold
messages: + msg266455

2016-03-19 02:37:56aatishnnsetmessages: + msg262017
2016-03-18 19:44:29terry.reedysetnosy: + terry.reedy
messages: + msg261990
2016-03-18 14:05:09aatishnnsetmessages: + msg261972
2016-03-18 14:02:32aatishnnsetfiles: + 2_fix_3.6.patch
2016-03-18 14:02:24aatishnnsetfiles: + 2_fix_3.5.patch
2016-03-18 14:02:11aatishnnsetfiles: + 2_fix_2.7.patch
2016-03-18 11:42:14serhiy.storchakasetmessages: + msg261969
2016-03-18 10:48:47martin.pantersetnosy: + martin.panter

messages: + msg261964
stage: needs patch -> patch review
2016-03-18 06:21:52aatishnnsetnosy: + aatishnn
messages: + msg261947
2016-03-18 06:20:49aatishnnsetfiles: + fix_3.6.patch
2016-03-18 06:20:13aatishnnsetfiles: + fix_3.5.patch
2016-03-18 06:19:53aatishnnsetfiles: + fix_2.7.patch
2016-03-14 15:06:12serhiy.storchakasetmessages: + msg261759
2016-03-14 14:42:30anish.shahsetfiles: + issue26553-python3.patch

messages: + msg261757
2016-03-14 14:42:03anish.shahsetfiles: + issue26553.patch

nosy: + anish.shah
messages: + msg261756

keywords: + patch
2016-03-14 07:49:23serhiy.storchakasetversions: + Python 2.7, Python 3.5, Python 3.6
nosy: + serhiy.storchaka

messages: + msg261730

keywords: + easy
stage: needs patch
2016-03-14 06:23:33Sudheer Satyanarayanacreate